<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: He_Arc::RPG::IObject Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">IObject</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_he___arc_1_1_r_p_g_1_1_i_object-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">He_Arc::RPG::IObject Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Interface class, for the different objects who can be posseded by an characteur.  
 <a href="class_he___arc_1_1_r_p_g_1_1_i_object.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_i_object_8hpp_source.html">IObject.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for He_Arc::RPG::IObject:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_he___arc_1_1_r_p_g_1_1_i_object.png" usemap="#He_5FArc::RPG::IObject_map" alt=""/>
  <map id="He_5FArc::RPG::IObject_map" name="He_5FArc::RPG::IObject_map">
<area href="class_he___arc_1_1_r_p_g_1_1_potion.html" title="Class for the potions, contains the stats and capacity of a potion." alt="He_Arc::RPG::Potion" shape="rect" coords="0,56,133,80"/>
<area href="class_he___arc_1_1_r_p_g_1_1_shield.html" title="Class for the shields, contains the stats and capacity of a shield A shield reduce damage taken by th..." alt="He_Arc::RPG::Shield" shape="rect" coords="143,56,276,80"/>
<area href="class_he___arc_1_1_r_p_g_1_1_sword.html" title="Class for the swords, contains the stats and capacity of a sword." alt="He_Arc::RPG::Sword" shape="rect" coords="286,56,419,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a41f873b2cb40ed5b8de45e0039397142"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a41f873b2cb40ed5b8de45e0039397142">GetName</a> () const =0</td></tr>
<tr class="memdesc:a41f873b2cb40ed5b8de45e0039397142"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of the object.  <a href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a41f873b2cb40ed5b8de45e0039397142">More...</a><br /></td></tr>
<tr class="separator:a41f873b2cb40ed5b8de45e0039397142"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4807f6fee53122a75df7580dcc75dd46"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a4807f6fee53122a75df7580dcc75dd46">GetFeature</a> () const =0</td></tr>
<tr class="memdesc:a4807f6fee53122a75df7580dcc75dd46"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the feature (the characteristic) of the object.  <a href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a4807f6fee53122a75df7580dcc75dd46">More...</a><br /></td></tr>
<tr class="separator:a4807f6fee53122a75df7580dcc75dd46"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a17d77a15d393f4340110633166a8bfca"><td class="memItemLeft" align="right" valign="top"><a id="a17d77a15d393f4340110633166a8bfca"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>m_name</b> {&quot;Unnamed object&quot;}</td></tr>
<tr class="separator:a17d77a15d393f4340110633166a8bfca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Interface class, for the different objects who can be posseded by an characteur. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a4807f6fee53122a75df7580dcc75dd46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4807f6fee53122a75df7580dcc75dd46">&#9670;&nbsp;</a></span>GetFeature()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual int He_Arc::RPG::IObject::GetFeature </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the feature (the characteristic) of the object. </p>
<dl class="section return"><dt>Returns</dt><dd>int The characteristic of the object </dd></dl>

<p>Implemented in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_sword.html#a60ebd92ad48f2f5db0a4fda6efb9b830">He_Arc::RPG::Sword</a>, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html#a646184e21bec106d9a9dc3d3bcdbea4f">He_Arc::RPG::Shield</a>, and <a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html#a7d45c1aa3de4cac1a8c7c512b0643a47">He_Arc::RPG::Potion</a>.</p>

</div>
</div>
<a id="a41f873b2cb40ed5b8de45e0039397142"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41f873b2cb40ed5b8de45e0039397142">&#9670;&nbsp;</a></span>GetName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual string He_Arc::RPG::IObject::GetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the name of the object. </p>
<dl class="section return"><dt>Returns</dt><dd>string the name of the object </dd></dl>

<p>Implemented in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_sword.html#a0ec97df25e05bba0440c99f61808997e">He_Arc::RPG::Sword</a>, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html#a91783aba9b640901356e9b08f9b86692">He_Arc::RPG::Shield</a>, and <a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html#ac4f63c8495e7351da7522242e56c40c2">He_Arc::RPG::Potion</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>cpp_filrouge_iscj_allemann/include/Object/<a class="el" href="_i_object_8hpp_source.html">IObject.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
